<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Editor Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular Editor Component

The [Kendo UI for Angular Editor](https://www.telerik.com/kendo-angular-ui/components/editor) includes a set of ready-to-use features covering toolbar tools, forms and accessibility support.

The Editor component is designed and built for Angular from the ground up by developers with 10+ years of experience in making enterprise-ready components. This results in an Angular editing component that delivers fast performance and is highly customizable.

## Key Features

Among the many features which the Kendo UI for Angular Editor delivers are:

* [Multiple toolbar tools](https://www.telerik.com/kendo-angular-ui/components/editor/tools/)&mdash;The Editor provides a comprehensive set of built-in tools and control types which can be customized and associated with the Editor's commands and directives.
* [Forms support](https://www.telerik.com/kendo-angular-ui/components/editor/forms/)&mdash;Depending on your requirements, you can use the Editor in Reactive or Template-Driven Angular Forms.
* [Styling options](https://www.telerik.com/kendo-angular-ui/components/editor/styling/)&mdash;Apply either of the available style modes in the Editor and further customize its appearance.
* [Responsive Toolbar](https://www.telerik.com/kendo-angular-ui/components/editor/responsive-toolbar)&mdash;The Editor provides a responsive toolbar which, upon request, hides the tools not fitting the width of the toolbar in an overflow popup.
* [Paste Cleanup](https://www.telerik.com/kendo-angular-ui/components/editor/paste-cleanup)&mdash;The Angular Editor provides built-in options that allow you to clean up the pasted HTML content in the component.
* [Selection](https://www.telerik.com/kendo-angular-ui/components/editor/selection)&mdash;The Editor has internally implemented concepts for [`selection`](https://prosemirror.net/docs/guide/#state) and it exposes a dedicated field that contains the currently selected text in the component.
* [Resizing](https://www.telerik.com/kendo-angular-ui/components/editor/resizing)&mdash;You can use the resizing options of Angular Editor to adjust the dimensions of both the component and its internal content to ensure a more comfortable user experience.
* Custom [Schema](https://www.telerik.com/kendo-angular-ui/components/editor/schema) and [Plugins]((https://www.telerik.com/kendo-angular-ui/components/editor/schema))&mdash;You have the ability to customize the default ProseMirror [`Schema`](https://prosemirror.net/docs/ref/#model.Schema) and configure custom [`Plugins`](https://prosemirror.net/docs/ref/#state.Plugin) for the Editor, enabling the integration of custom document structures, node types, and behavior enhancements that align with your application requirements.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/editor/globalization/)&mdash;By using the available globalization options in Kendo UI for Angular, you can translate the Editor messages by adapting them to specific culture locales. Additionally, the Editor supports rendering in a right-to-left (RTL) direction.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/editor/accessibility)&mdash;The Editor is accessible for screen readers and support WAI-ARIA attributes.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/editor/keyboard-navigation)&mdash;The Editor supports a number of keyboard shortcuts which alow users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Editor, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Editor](https://www.telerik.com/kendo-angular-ui/components/editor/installation/getting-started)
* [Editor Overview page](https://www.telerik.com/kendo-angular-ui/components/editor) and [Editor API reference](https://www.telerik.com/kendo-angular-ui/components/editor/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
