/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The options for applying a command to the "word" the cursor is in.
 * Contains two properties: `before` and `after` representing regular expressions
 * which determine the text before and after the cursor that constitutes a separate
 * "word" the command will be applied to ([see example]({% slug toolbartools_editor %}#toc-customizing-word-delimiters)).
 */
export interface ApplyToWordOptions {
    /**
     * The regular expression that sets the delimeters used to determine the start of the matching text relevant to the current cursor position.
     */
    before: RegExp;
    /**
     * The regular expression that sets the delimeters used to determine the end of the matching text relevant to the current cursor position.
     */
    after: RegExp;
}
