/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The settings for applying custom CSS styles to the Editor in iframe mode ([see example](slug:styling_editor#toc-encapsulated-mode)).
 */
export interface EditorCssSettings {
    /**
     * Specifies a set of styling rules.
     */
    content?: string;
    /**
     * Specifies the location of the external style sheet.
     */
    path?: string;
    /**
     * Defines whether the custom styles will override or extend the built-in styles.
     */
    keepBuiltInCss?: boolean;
}
