/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Plugin } from '@progress/kendo-editor-common';
/**
 * Represents the callback that is used by the
 * [`plugins`]({% slug api_editor_editorcomponent %}#toc-plugins) property.
 *
 * ```ts-no-run
 *  pluginsCallback(defaultPlugins: Plugin[]): Plugin[] {
 *    const myPlugin = new Plugin({/custom plugin code/});
 *    return [...defaultPlugins, myPlugin];
 *  }
 * ```
 */
export type PluginsFn = (args: Plugin[]) => Plugin[];
