/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The size restrictions that will be applied to the resizable Editor ([see example](slug:resizing_editor#toc-resizing-the-editor)).
 */
export interface EditorResizableOptions {
    /**
     * Specifies the minimum width of the resizable Editor in pixels.
     */
    minWidth?: number;
    /**
     * Specifies the minimum height of the resizable Editor in pixels.
     */
    minHeight?: number;
    /**
     * Specifies the maximum width of the resizable Editor in pixels.
     */
    maxWidth?: number;
    /**
     * Specifies the maximum height of the resizable Editor in pixels.
     */
    maxHeight?: number;
}
