/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Node } from '@progress/kendo-editor-common';
/**
 * @hidden
 */
export type EditorMarks = 'link' | 'em' | 'strong' | 'code' | 'underline' | 'strikethrough' | 'subscript' | 'superscript' | 'style';
/**
 * @hidden
 */
export type EditorNodes = 'doc' | 'paragraph' | 'blockquote' | 'horizontalRule' | 'heading' | 'codeBlock' | 'text' | 'image' | 'hardBreak' | 'listItem' | 'orderedList' | 'bulletList' | 'htmlBlock' | 'table' | 'table_colgroup' | 'table_col' | 'table_body' | 'table_foot' | 'table_head' | 'table_row' | 'table_cell' | 'table_header';
/**
 * @hidden
 */
export declare const hasAttrs: (attrs: any, exclude?: any) => boolean;
/**
 * @hidden
 */
export declare const getAttrs: (attrs: any, exclude?: any) => {};
/**
 * @hidden
 */
export declare const getAttributes: (dom: any) => {};
/**
 * @hidden
 */
export declare const serializeDOMAttrs: (el: HTMLElement) => Record<string, string | number>;
/**
 * @hidden
 */
export declare const commonAttributes: () => {};
/**
 * @hidden
 */
export declare const createDefaultAttributes: (attrs?: string[]) => {};
/**
 * @hidden
 */
export declare const hole = 0;
/**
 * @hidden
 */
export declare const isSchemaNode: (schemaNodeName: string) => (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTable: (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTableBody: (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTableHead: (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTableFoot: (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTableRow: (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTableCell: (node: Node) => boolean;
/**
 * @hidden
 */
export declare const isTableHeaderCell: (node: Node) => boolean;
