/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { EditorLocalizationService } from '../localization/editor-localization.service';
import { EditorComponent } from '../editor.component';
import { PaletteSettings, ActiveColorClickEvent, ColorPickerComponent, ColorPickerView } from '@progress/kendo-angular-inputs';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ColorPickerDialogComponent extends DialogContentBase {
    dialog: DialogRef;
    private localization;
    editor: EditorComponent;
    colorPicker: ColorPickerComponent;
    value: string;
    title: string;
    editorCommand: 'foreColor' | 'backColor';
    paletteSettings: PaletteSettings;
    icon: string;
    svgIcon: SVGIcon;
    view: ColorPickerView;
    views: ColorPickerView[];
    constructor(dialog: DialogRef, localization: EditorLocalizationService);
    handleActiveColorClick(event: ActiveColorClickEvent): void;
    handleClearButtonClick(): void;
    onCancelAction(): void;
    onConfirmAction(): void;
    setData(args: any): void;
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColorPickerDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColorPickerDialogComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": false; }; }, {}, never, never, true, never>;
}
