/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FormGroup } from '@angular/forms';
import { DialogContentBase, DialogRef } from '@progress/kendo-angular-dialog';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import { EditorState } from '@progress/kendo-editor-common';
import { DialogCommand } from '../common/commands';
import { EditorLocalizationService } from '../localization/editor-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FileLinkDialogComponent extends DialogContentBase {
    dialog: DialogRef;
    localization: EditorLocalizationService;
    editor: any;
    command: DialogCommand;
    hrefInput: TextBoxComponent;
    linkForm: FormGroup;
    constructor(dialog: DialogRef, localization: EditorLocalizationService);
    onCancelAction(): void;
    onConfirmAction(): void;
    get titleText(): string;
    setData(state: EditorState, options?: any): void;
    textForWithPrefix(key: string): string;
    textFor(key: string): string;
    private setLinkText;
    private getData;
    static ɵfac: i0.ɵɵFactoryDeclaration<FileLinkDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FileLinkDialogComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": false; }; "command": { "alias": "command"; "required": false; }; }, {}, never, never, true, never>;
}
