/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { FormControl, FormGroup } from '@angular/forms';
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { EditorState } from '@progress/kendo-editor-common';
import { TextBoxComponent } from '@progress/kendo-angular-inputs';
import { ImageData } from '../common/image-data.interface';
import { EditorLocalizationService } from '../localization/editor-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ImageDialogComponent extends DialogContentBase {
    dialog: DialogRef;
    private localization;
    editor: any;
    srcInput: TextBoxComponent;
    src: FormControl;
    alt: FormControl;
    width: FormControl;
    height: FormControl;
    data: ImageData;
    imageData: FormGroup;
    srcInputId: string;
    altTextInputId: string;
    widthInputId: string;
    heightInputId: string;
    constructor(dialog: DialogRef, localization: EditorLocalizationService);
    ngOnInit(): void;
    onCancelAction(): void;
    onConfirmAction(): void;
    setData(state: EditorState): void;
    textFor(key: string): string;
    private getData;
    private normalizeDimension;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageDialogComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": false; }; }, {}, never, never, true, never>;
}
