/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { EditorLocalizationService } from '../localization/editor-localization.service';
import { EditorComponent } from '../editor.component';
import { TableData } from '../common/table-data.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class InsertTableDialogComponent extends DialogContentBase {
    dialog: DialogRef;
    private localization;
    editor: EditorComponent;
    constructor(dialog: DialogRef, localization: EditorLocalizationService);
    onCancelAction(): void;
    onCellClick(args: TableData): void;
    setData(args: any): void;
    textFor(key: string): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<InsertTableDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InsertTableDialogComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": false; }; }, {}, never, never, true, never>;
}
