/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { DialogRef, DialogContentBase } from '@progress/kendo-angular-dialog';
import { TextAreaComponent } from '@progress/kendo-angular-inputs';
import { EditorLocalizationService } from '../localization/editor-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class SourceDialogComponent extends DialogContentBase {
    dialog: DialogRef;
    private localization;
    editor: any;
    textarea: TextAreaComponent;
    data: string;
    constructor(dialog: DialogRef, localization: EditorLocalizationService);
    onCancelAction(): void;
    onConfirmAction(): void;
    getData(): string;
    setData(): void;
    textFor(key: string): string;
    private indent;
    static ɵfac: i0.ɵɵFactoryDeclaration<SourceDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SourceDialogComponent, "ng-component", never, { "editor": { "alias": "editor"; "required": false; }; }, {}, never, never, true, never>;
}
