/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { alignCenterIcon, alignJustifyIcon, alignLeftIcon, alignRightIcon, boldIcon, cellsMergeIcon, cellSplitHorizontallyIcon, clearCssIcon, codeSnippetIcon, dropletIcon, fileAddIcon, fileImageIcon, foregroundColorIcon, indentIcon, italicIcon, linkIcon, listOrderedIcon, listUnorderedIcon, outdentIcon, printIcon, redoIcon, rightDoubleQuotesIcon, selectAllIcon, strikethroughIcon, subscriptIcon, supscriptIcon, tableAddIcon, tableColumnDeleteIcon, tableColumnInsertLeftIcon, tableColumnInsertRightIcon, tableDeleteIcon, tableRowDeleteIcon, tableRowInsertAboveIcon, tableRowInsertBelowIcon, underlineIcon, undoIcon, unlinkIcon } from '@progress/kendo-svg-icons';
/**
 * @hidden
 */
export const commandIcons = {
    alignCenter: 'align-center',
    alignJustify: 'align-justify',
    alignLeft: 'align-left',
    alignRight: 'align-right',
    backColor: 'droplet',
    blockquote: 'blockquote',
    bold: 'bold',
    cleanFormatting: 'clear-css',
    createLink: 'link',
    foreColor: 'foreground-color',
    indent: 'indent',
    insertFile: 'file-add',
    insertImage: 'image',
    insertOrderedList: 'list-ordered',
    insertUnorderedList: 'list-unordered',
    italic: 'italic',
    outdent: 'outdent',
    print: 'print',
    redo: 'redo',
    selectAll: 'select-all',
    strikethrough: 'strikethrough',
    subscript: 'subscript',
    superscript: 'supscript',
    underline: 'underline',
    undo: 'undo',
    unlink: 'unlink',
    viewSource: 'code',
    //table
    insertTable: 'table-add',
    addColumnBefore: 'table-column-insert-left',
    addColumnAfter: 'table-column-insert-right',
    addRowBefore: 'table-row-insert-above',
    addRowAfter: 'table-row-insert-below',
    deleteRow: 'table-row-delete',
    deleteColumn: 'table-column-delete',
    mergeCells: 'cells-merge',
    splitCell: 'cell-split-horizontally',
    deleteTable: 'table-delete'
    // tableWizard: 'table-wizard'
};
/**
 * @hidden
 */
export const commandSVGIcons = {
    alignCenter: alignCenterIcon,
    alignJustify: alignJustifyIcon,
    alignLeft: alignLeftIcon,
    alignRight: alignRightIcon,
    backColor: dropletIcon,
    blockquote: rightDoubleQuotesIcon,
    bold: boldIcon,
    cleanFormatting: clearCssIcon,
    createLink: linkIcon,
    foreColor: foregroundColorIcon,
    indent: indentIcon,
    insertFile: fileAddIcon,
    insertImage: fileImageIcon,
    insertOrderedList: listOrderedIcon,
    insertUnorderedList: listUnorderedIcon,
    italic: italicIcon,
    outdent: outdentIcon,
    print: printIcon,
    redo: redoIcon,
    selectAll: selectAllIcon,
    strikethrough: strikethroughIcon,
    subscript: subscriptIcon,
    superscript: supscriptIcon,
    underline: underlineIcon,
    undo: undoIcon,
    unlink: unlinkIcon,
    viewSource: codeSnippetIcon,
    //table
    insertTable: tableAddIcon,
    addColumnBefore: tableColumnInsertLeftIcon,
    addColumnAfter: tableColumnInsertRightIcon,
    addRowBefore: tableRowInsertAboveIcon,
    addRowAfter: tableRowInsertBelowIcon,
    deleteRow: tableRowDeleteIcon,
    deleteColumn: tableColumnDeleteIcon,
    mergeCells: cellsMergeIcon,
    splitCell: cellSplitHorizontallyIcon,
    deleteTable: tableDeleteIcon
    // tableWizard: 'table-wizard'
};
