/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive } from '@angular/core';
import { EditorColorPickerComponent } from './editor-colorpicker.component';
import { commandIcons, commandSVGIcons } from '../../config/command-icons';
import * as i0 from "@angular/core";
import * as i1 from "./editor-colorpicker.component";
/**
 * A directive which configures an `EditorColorPickerComponent`
 * for manipulating the foreground color of the text
 * ([see example]({% slug toolbartools_editor %}#toc-built-in-tools)).
 *
 * ```html
 * <kendo-toolbar-colorpicker kendoEditorForeColor ></kendo-toolbar-colorpicker>
 * ```
 */
export class EditorForeColorDirective {
    colorPicker;
    constructor(colorPicker) {
        this.colorPicker = colorPicker;
        this.colorPicker.icon = commandIcons.foreColor;
        this.colorPicker.svgIcon = commandSVGIcons.foreColor;
        this.colorPicker.editorCommand = 'foreColor';
    }
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorForeColorDirective, deps: [{ token: i1.EditorColorPickerComponent }], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: EditorForeColorDirective, isStandalone: true, selector: "[kendoEditorForeColor]", ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: EditorForeColorDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[kendoEditorForeColor]',
                    standalone: true
                }]
        }], ctorParameters: function () { return [{ type: i1.EditorColorPickerComponent }]; } });
