/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from "./preventable-event";
/**
 * The Editor [`paste`]({% slug api_editor_editorcomponent %}#toc-paste) event.
 */
export declare class EditorPasteEvent extends PreventableEvent {
    /**
     * The HTML content cleaned in accordance with the [`PasteCleanupSettings`]({% slug paste_cleanup %}).
     */
    cleanedHtml: string;
    /**
     * The raw pasted content.
     */
    originalHtml: string;
    /**
     * The original DOM event.
     */
    originalEvent: ClipboardEvent;
    /**
     * Constructs the event arguments for the `paste` event.
     * @hidden
     */
    constructor(cleanedHtml: string, originalHtml: string, originalEvent: ClipboardEvent);
}
