/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EditorColorPickerComponent } from './editor-colorpicker.component';
import * as i0 from "@angular/core";
/**
 * A directive which configures an `EditorColorPickerComponent`
 * for manipulating the foreground color of the text
 * ([see example]({% slug toolbartools_editor %}#toc-built-in-tools)).
 *
 * ```html
 * <kendo-toolbar-colorpicker kendoEditorForeColor ></kendo-toolbar-colorpicker>
 * ```
 */
export declare class EditorForeColorDirective {
    private colorPicker;
    constructor(colorPicker: EditorColorPickerComponent);
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorForeColorDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EditorForeColorDirective, "[kendoEditorForeColor]", never, {}, {}, never, never, true, never>;
}
