/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, EventEmitter } from '@angular/core';
import { ItemDisabledFn, DropDownListComponent } from '@progress/kendo-angular-dropdowns';
import { FontFamilyItem } from '../../common/font-family-item.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class FontFamilyDropDownListComponent {
    data: FontFamilyItem[];
    value: string;
    defaultItem: FontFamilyItem;
    itemDisabled: ItemDisabledFn;
    title: string;
    disabled: boolean;
    tabindex: number;
    valueChange: EventEmitter<string>;
    element: ElementRef;
    dropDownList: DropDownListComponent;
    onValueChange(tag: string): void;
    focus(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FontFamilyDropDownListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FontFamilyDropDownListComponent, "kendo-editor-fontfamily-dropdownlist", never, { "data": { "alias": "data"; "required": false; }; "value": { "alias": "value"; "required": false; }; "defaultItem": { "alias": "defaultItem"; "required": false; }; "itemDisabled": { "alias": "itemDisabled"; "required": false; }; "title": { "alias": "title"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "tabindex": { "alias": "tabindex"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, true, never>;
}
