/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EditorCommandDialog } from '../shared/editor-command-dialog';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { EditorLocalizationService } from '../../localization/editor-localization.service';
import { ProviderService } from "../../common/provider.service";
import { EditorToolsService } from "../tools.service";
import * as i0 from "@angular/core";
/**
 * A directive which configures an existing `ToolBarButtonComponent` as an Editor **Insert File** tool
 * ([see example]({% slug toolbartools_editor %}#toc-built-in-tools)).
 * The directive will predefine the SVG icon and `click` event handlers of the button.
 *
 * @example
 * ```html
 * <kendo-toolbar-button kendoEditorInsertFileButton></kendo-toolbar-button>
 * ```
 */
export declare class EditorInsertFileButtonDirective extends EditorCommandDialog {
    constructor(button: ToolBarButtonComponent, localization: EditorLocalizationService, providerService: ProviderService, toolsService: EditorToolsService);
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorInsertFileButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EditorInsertFileButtonDirective, "kendo-toolbar-button[kendoEditorInsertFileButton]", never, {}, {}, never, never, true, never>;
}
