/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { EditorCommandButton } from '../shared/editor-command-button';
import { EditorLocalizationService } from '../../localization/editor-localization.service';
import { EditorToolsService } from '../tools.service';
import { ProviderService } from '../../common/provider.service';
import * as i0 from "@angular/core";
/**
 * A directive which configures an existing `ToolBarButtonComponent` as an Editor **SelectAll** tool
 * ([see example]({% slug toolbartools_editor %}#toc-built-in-tools)).
 * The directive will predefine the SVG icon and `click` event handlers of the button.
 *
 * @example
 * ```html
 * <kendo-toolbar-button kendoEditorSelectAllButton></kendo-toolbar-button>
 * ```
 */
export declare class EditorSelectAllButtonDirective extends EditorCommandButton {
    constructor(button: ToolBarButtonComponent, localization: EditorLocalizationService, providerService: ProviderService, toolsService: EditorToolsService);
    protected clickHandler(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorSelectAllButtonDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EditorSelectAllButtonDirective, "kendo-toolbar-button[kendoEditorSelectAllButton]", never, {}, {}, never, never, true, never>;
}
