/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Subscription } from 'rxjs';
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import type { EditorComponent } from '../../editor.component';
import { EditorCommand, DialogCommand, EditorInternalCommand } from '../../common/commands';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ProviderService } from '../../common/provider.service';
import { EditorToolsService } from '../tools.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class EditorCommandBaseDirective {
    protected command: DialogCommand | EditorCommand | EditorInternalCommand;
    protected button: ToolBarButtonComponent;
    protected localization: LocalizationService;
    protected toolsService: EditorToolsService;
    protected subs: Subscription;
    protected editor: EditorComponent;
    constructor(command: DialogCommand | EditorCommand | EditorInternalCommand, button: ToolBarButtonComponent, localization: LocalizationService, providerService: ProviderService, toolsService: EditorToolsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    protected clickHandler(): void;
    protected pointerdownHandler(_event: PointerEvent): void;
    protected onStateChange(_toolBarState: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<EditorCommandBaseDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<EditorCommandBaseDirective, "[kendoEditorCommandBase]", never, {}, {}, never, never, false, never>;
}
