/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ToolBarButtonComponent } from '@progress/kendo-angular-toolbar';
import { EditorCommand, EditorInternalCommand } from '../../common/commands';
import { EditorCommandBaseDirective } from './editor-command-base';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { EditorToolsService } from '../tools.service';
import { ProviderService } from '../../common/provider.service';
/**
 * @hidden
 */
export declare abstract class EditorCommandButton extends EditorCommandBaseDirective {
    protected command: EditorCommand | EditorInternalCommand;
    protected button: ToolBarButtonComponent;
    protected localization: LocalizationService;
    protected providerService: ProviderService;
    protected toolsService: EditorToolsService;
    constructor(command: EditorCommand | EditorInternalCommand, button: ToolBarButtonComponent, localization: LocalizationService, providerService: ProviderService, toolsService: EditorToolsService);
    protected clickHandler(): void;
    protected pointerdownHandler(e?: PointerEvent): void;
    protected onStateChange(toolBarState?: any): void;
}
