/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from '@angular/core';
import { SVGIcon } from '@progress/kendo-svg-icons';
import { TableData } from '../../common/table-data.interface';
import { EditorLocalizationService } from '../../localization/editor-localization.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class PopupTableGridComponent {
    private localization;
    cellClick: EventEmitter<TableData>;
    tableWizardClick: EventEmitter<any>;
    tableWizardIcon: SVGIcon;
    private state;
    private rows;
    private cols;
    constructor(localization: EditorLocalizationService);
    get message(): string;
    get cells(): any[];
    selected(index: number): boolean;
    setState(index: number): void;
    resetState(): void;
    insertTable(): void;
    openTableWizard(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupTableGridComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PopupTableGridComponent, "kendo-popup-table-grid", never, {}, { "cellClick": "cellClick"; "tableWizardClick": "tableWizardClick"; }, never, never, true, never>;
}
