/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * @hidden
 */
export declare const defaultStyle = "\n    html, body {\n        margin: 0;\n        height: 100%;\n        padding: 0;\n    }\n\n    html {\n        min-height: 100%;\n    }\n\n    body {\n        box-sizing: border-box;\n        position: relative;\n        word-wrap: break-word;\n        padding: 8px;\n    }\n\n    body > .k-content {\n        outline: 0;\n        height: 100%;\n        white-space: pre-wrap;\n    }\n\n    div.ProseMirror {\n        position: relative;\n        word-wrap: break-word;\n        white-space: pre-wrap;\n        white-space: break-spaces;\n        -webkit-font-variant-ligatures: none;\n        font-variant-ligatures: none;\n        font-feature-settings: \"liga\" 0; /* the above doesn't seem to work in Edge */\n    }\n\n    .ProseMirror pre {\n        white-space: pre-wrap;\n    }\n\n    .k-content > p {\n        margin: 0 0 1em;\n    }\n\n    .k-content table {\n        white-space: pre-wrap;\n    }\n\n    .k-content .k-text-selected, .k-content::selection {\n        color: HighlightText;\n        background-color: Highlight;\n    }\n\n    .k-content .k-text-highlighted {\n        background-color: #bbdefb;\n    }\n\n    .k-content .ProseMirror-selectednode {\n        outline: 2px solid #8cf;\n    }\n\n    .ProseMirror-hideselection *::selection { background: transparent; }\n    .ProseMirror-hideselection *::-moz-selection { background: transparent; }\n    .ProseMirror-hideselection { caret-color: transparent; }\n\n    .ProseMirror-gapcursor {\n        display: none;\n        pointer-events: none;\n        position: absolute;\n    }\n\n    .ProseMirror-gapcursor:after {\n        content: \"\";\n        display: block;\n        position: absolute;\n        top: -2px;\n        width: 20px;\n        border-top: 1px solid black;\n        animation: ProseMirror-cursor-blink 1.1s steps(2, start) infinite;\n    }\n\n    @keyframes ProseMirror-cursor-blink {\n        to {\n            visibility: hidden;\n        }\n    }\n\n    .ProseMirror-focused .ProseMirror-gapcursor {\n        display: block;\n    }\n\n    .k-editor-resize-handles-wrapper {\n        position: absolute;\n        visibility: hidden;\n    }\n\n    .k-editor-resize-handle {\n        position: absolute;\n        visibility: visible;\n        background-color: #fff;\n        border: 1px solid #000;\n        z-index: 100;\n        width: 5px;\n        height: 5px;\n    }\n\n    .k-editor-resize-handle.northwest {\n        top: 0;\n        left: 0;\n        transform: translate(-50%, -50%);\n        cursor: nw-resize;\n    }\n\n    .k-editor-resize-handle.north {\n        top: 0;\n        left: 50%;\n        transform: translate(-50%, -50%);\n        cursor: n-resize;\n    }\n\n    .k-editor-resize-handle.northeast {\n        top: 0;\n        right: 0;\n        transform: translate(50%, -50%);\n        cursor: ne-resize;\n    }\n\n    .k-editor-resize-handle.southwest {\n        left: 0;\n        bottom: 0;\n        transform: translate(-50%, 50%);\n        cursor: sw-resize;\n    }\n\n    .k-editor-resize-handle.south {\n        bottom: 0;\n        left: 50%;\n        transform: translate(-50%, 50%);\n        cursor: s-resize;\n    }\n\n    .k-editor-resize-handle.southeast {\n        right: 0;\n        bottom: 0;\n        transform: translate(50%, 50%);\n        cursor: se-resize;\n    }\n\n    .k-editor-resize-handle.west {\n        top: 50%;\n        left: 0;\n        transform: translate(-50%, -50%);\n        cursor: w-resize;\n    }\n\n    .k-editor-resize-handle.east {\n        top: 50%;\n        right: 0;\n        transform: translate(50%, -50%);\n        cursor: e-resize;\n    }\n\n    .ProseMirror .k-placeholder::before {\n        content: attr(data-placeholder);\n        height: 0;\n        color: #8a8a8a;\n        float: left;\n        opacity: 1;\n        cursor: text;\n        -webkit-user-select: none;\n        -ms-user-select: none;\n        user-select: none;\n    }\n\n    .ProseMirror li {\n        position: relative;\n    }\n\n    li.ProseMirror-selectednode {\n        outline: none;\n    }\n\n    li.ProseMirror-selectednode:after {\n        content: \"\";\n        position: absolute;\n        left: -32px;\n        right: -2px;\n        top: -2px;\n        bottom: -2px;\n        border: 2px solid #8cf;\n        pointer-events: none;\n    }\n\n    .ProseMirror[contenteditable=\"false\"] img {\n        pointer-events: none;\n    }\n";
/**
 * @hidden
 */
export declare const tablesStyles = "\n    .ProseMirror .tableWrapper {\n        overflow-x: auto;\n        margin: 1em 0;\n    }\n\n    .ProseMirror table {\n        margin: 0;\n        border-collapse: collapse;\n        table-layout: fixed;\n        width: 100%;\n        overflow: hidden;\n    }\n\n    .ProseMirror td, .ProseMirror th {\n        min-width: 1em;\n        border: 1px solid #ddd;\n        padding: 3px 5px;\n        vertical-align: top;\n        box-sizing: border-box;\n        position: relative;\n    }\n\n    .ProseMirror th {\n        font-weight: bold;\n        text-align: left;\n    }\n\n    .ProseMirror .column-resize-handle {\n        position: absolute;\n        right: -2px; top: 0; bottom: 0;\n        width: 4px;\n        z-index: 20;\n        background-color: #adf;\n        pointer-events: none;\n    }\n\n    .ProseMirror.resize-cursor {\n        cursor: ew-resize;\n        cursor: col-resize;\n    }\n\n    /* Give selected cells a blue overlay */\n    .ProseMirror .selectedCell:after {\n        z-index: 2;\n        position: absolute;\n        content: \"\";\n        left: 0; right: 0; top: 0; bottom: 0;\n        background: rgba(200, 200, 255, 0.4);\n        pointer-events: none;\n    }\n\n    /* Resizing */\n    .k-editor-resize-wrap-element {\n        display: inline-block;\n        position: relative;\n    }\n\n    .ProseMirror .row-resize-handle {\n        position: absolute;\n        right: 0; left: 0; bottom: 0;\n        transform: translate(0, 50%);\n        height: 4px;\n        z-index: 20;\n        background-color: #adf;\n        pointer-events: none;\n    }\n    \n    .ProseMirror.resize-cursor-vertical {\n        cursor: sn-resize;\n        cursor: row-resize;\n    }\n\n    .k-editor-resize-wrap-element table td p,\n    .k-editor-resize-wrap-element table th p {\n        margin: 0 auto;\n    }\n\n    .ProseMirror[contenteditable=\"false\"] .k-editor-resize-handle,\n    .ProseMirror[contenteditable=\"false\"] .k-editor-resize-handles-wrapper,\n    .ProseMirror[contenteditable=\"false\"] .row-resize-handle,\n    .ProseMirror[contenteditable=\"false\"] .column-resize-handle {\n        display: none;\n    }\n    \n    .ProseMirror[contenteditable=\"false\"] table {\n        pointer-events: none;\n    }\n    \n    .ProseMirror[contenteditable=\"false\"] .ProseMirror-selectednode {\n        outline: none;\n    }\n    \n    .ProseMirror[contenteditable=\"false\"] {\n        cursor: unset !important;\n    }\n";
/**
 * @hidden
 */
export declare const rtlStyles = "body { direction: rtl }";
